Delete a document folder

Deletes a document folder. Optionally move contained documents to another folder.
If no destination is provided, documents inside will have their folder cleared (orphaned).

Folder Identification

1. Customerly Folder ID (numeric):

  • Example: DELETE /documents/folders/10

2. Custom Folder ID (prefixed with cid:):

  • Example: DELETE /documents/folders/cid:fld_manuals
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The folder identifier. Can be either the numeric Customerly folder ID (e.g., '10') or your custom_folder_id prefixed with 'cid:' (e.g., 'cid:fld_manuals')

Body Params

Optional destination for documents in the folder

string

Folder to move documents into before deletion. Use the numeric folder ID (e.g., '5') or 'cid:' prefix (e.g., 'cid:fld_archive'). If not provided, documents will be orphaned.

Responses
204

Document folder deleted successfully

401

Authentication required

403

Permission denied

404

Document folder or destination folder not found

422

The request is not valid

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!